> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user

> This endpoint allows you to retrieve user account details.



## OpenAPI

````yaml openapi.json get /user
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /user:
    get:
      tags:
        - User
      summary: Get user
      description: This endpoint allows you to retrieve user account details.
      operationId: getUser
      responses:
        '200':
          description: User fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetUserResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: User fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-28T15:51:44.040Z'
        data:
          $ref: '#/components/schemas/User'
    User:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the user
          example: 68bb7d8399900e253084e6f7
        code:
          type: integer
          description: User code
          example: 7827605055
        name:
          type: string
          description: User name
          example: Bread
        email:
          type: string
          format: email
          description: User email address
          example: hello@bread.africa
        fee:
          $ref: '#/components/schemas/UserFee'
        is_active:
          type: boolean
          description: Whether the user account is active
          example: true
        key:
          type: string
          description: API key for the user
          example: 8F7MFnbHcIGFqfexc3Gel1yw8F7MFnbHcIGudjOe
        webhook:
          $ref: '#/components/schemas/UserWebhook'
        fee_wallet:
          $ref: '#/components/schemas/UserWallet'
        settlement_wallet:
          $ref: '#/components/schemas/UserWallet'
    UserFee:
      type: object
      properties:
        type:
          type: string
          description: Fee type
          example: percentage
        value:
          type: number
          description: Fee value
          example: 0.5
        max:
          type: number
          description: Maximum fee amount
          example: 1000
        min:
          type: number
          description: Minimum fee amount
          example: 0.05
    UserWebhook:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether webhook is enabled
          example: false
        url:
          type: string
          description: Webhook URL
          example: https://example.com/webhook
        secret:
          type: string
          description: Webhook secret key
          example: z9o4j778vsn5ivog9beUdj2849
    UserWallet:
      type: object
      properties:
        id:
          type: string
          description: Wallet ID
          example: 68bb7d8399900e3849sj8393
        reference:
          type: string
          description: Wallet reference
          example: akzp20tn43bbixatfpl65zg9sqa0c2
        is_active:
          type: boolean
          description: Whether the wallet is active
          example: true
        address:
          type: object
          properties:
            evm:
              type: string
              description: EVM address
              example: '0x214C05B7917A4dCf787b2bfA13C6bE27f0A9A250'
            svm:
              type: string
              description: SVM address
              example: GfC8jFidowznLTBbQWKjJkQBEbNdSyxucNsi7ydyMjdi
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````